#ifndef GAME_H_
#define GAME_H_

//
// Main game things
//

#include "smgbalib.h"

#define STATUS_PLAYING 0
#define STATUS_GAMEOVER_STARVED 1
#define STATUS_GAMEOVER_UNHEALTHY 2
#define STATUS_GAMEOVER_BLAND 3


#define GAUGE_FOOD_TYPE_4_OF_A_KIND 40
#define GAUGE_FOOD_TYPE_3_OF_A_KIND 20
#define GAUGE_FOOD_TYPE_2_OF_A_KIND 10

#define GAME_BOARD_SIDE 6
#define GAME_BOARD_OFFSET_X 48
#define GAME_BOARD_OFFSET_Y 1


#define FOOD_BITMAP_BURGER 0
#define FOOD_BITMAP_DONUT 1
#define FOOD_BITMAP_FRIES 2
#define FOOD_BITMAP_HOTDOG 3
#define FOOD_BITMAP_PIZZA 4
#define FOOD_BITMAP_TACO 5
#define FOOD_BITMAP_CARROT 6
#define FOOD_BITMAP_GREENPEPPER 7
#define FOOD_BITMAP_LEMON 8
#define FOOD_BITMAP_MUSHROOM 9
#define FOOD_BITMAP_GRAPES 10
#define FOOD_BITMAP_TURNIP 11


#define FOOD_TYPE_UNHEALTHY 0
#define FOOD_TYPE_BLAND 1
// This represents a cell on our game board
typedef struct {
    u8 foodType;
    u16* foodBitmap;
} cell;


void PlayGame( void );

#endif
