#include "smgbalib.h"
#include "gauges.h"

int GaugeFoodTypeLevel = 50;
int GaugeHungerLevel = 20;
u16 Score = 150;
u16 HighScore = 0;

void DisplayFoodTypeGauge( void ) {

	const u16 color = 0x0909;
	u16 c;
	
	if( GaugeFoodTypeLevel <= 0 ) return;
	
	for( c = 0 ; c <= GaugeFoodTypeLevel ; c++ ) {
		PlotPixelOpaque( 36, 35 + c, color );
		PlotPixelOpaque( 37, 35 + c, color );
		PlotPixelOpaque( 38, 35 + c, color );
	}
	
}

void DisplayHungerGauge( void ) {

	const u16 color = 0x0000;
	u16 c;
	
	if( GaugeHungerLevel <= 0 ) return;
	
	for( c = 0 ; c < GaugeHungerLevel ; c++ ) {
		PlotPixelOpaque( 73 + c, 151, color );
		PlotPixelOpaque( 73 + c, 152, color );
		PlotPixelOpaque( 73 + c, 153, color );
		PlotPixelOpaque( 73 + c, 154, color );
		PlotPixelOpaque( 73 + c, 155, color );
		PlotPixelOpaque( 73 + c, 156, color );
	}
}

void DisplayScore( void ) {
	char result[] = "           ";
	Itoa( result, Score );
	WriteStringWide( 21, 147, result );
}

