@path=C:\devkitadv\bin

@REM Clean binaries
@cls
@del *.o
@del *.elf
@del *.gba

@REM Compile game
gcc -c -O3 main.c
gcc -c -O3 intro.c
gcc -c -O3 graphics.c
gcc -c -O3 game.c
gcc -c -O3 gauges.c

@REM link to smgbalib
gcc -o bd.elf main.o intro.o graphics.o game.o gauges.o smgbalib.a

@REM Translate executable to GBA rom format
objcopy -O binary bd.elf bd.gba

@REM Clean binaries
@del *.o
@del *.elf
