#ifndef GAUGES_H_
#define GAUGES_H_

//
// Display gauges, score
//

#include "smgbalib.h"

// Unhealthy 1 <----> 100 Bland
extern int GaugeFoodTypeLevel;

// Empty 0 <----> 20 Full
extern int GaugeHungerLevel;

// Score starts at 150lbs :D
extern u16 Score;

extern u16 HighScore;

// Display the food type gauge (vertical)
void DisplayFoodTypeGauge( void );

// Display the hunger gauge (horizontal)
void DisplayHungerGauge( void );

// Display score
void DisplayScore( void );

#endif
