#ifndef GRAPHICS_H_
#define GRAPHICS_H_

#include "smgbalib.h"

//
// Aggregate all .h includes generated from .pcx files
//

// main palette to be used during the gameplay
extern const u16 mainBDPalette[];

// other palettes to be used during intro screens
extern const u16 intrologoPalette[];
extern const u16 intropressstartPalette[];


#define fullscreen_WIDTH 240
#define fullscreen_HEIGHT 160
extern const u16 backgroundData[];
extern const u16 intrologoData[];
extern const u16 intropressstartData[];

extern const u16 cursorData[];

#define food_WIDTH 24
#define food_HEIGHT 24
extern const u16 burgerData[]; 
extern const u16 carrotData[];
extern const u16 donutData[];
extern const u16 friesData[];
extern const u16 greenbellpepperData[];
extern const u16 hotdogData[];
extern const u16 lemonData[];
extern const u16 mushroomData[];
extern const u16 pizzaData[];
extern const u16 purplegrapeData[];
extern const u16 tacoData[];
extern const u16 turnipData[];

#endif
